Lines-class {sp} | R Documentation

## Class "Lines"

### Description

class for sets of line objects

### Arguments

`SL, Lines` | an Lines object

### Objects from the Class

Objects can be created by calls to the function Line

### Slots

`Lines`:

  Object of class `"list"`, containing elements of class Line-class

`ID`:

  `"character"` vector of lenght one, with unique identifier string

### Methods

coordinates

  `signature(obj = "Line")`: retrieve coordinates from lines; returns list with matrices

lines

  `signature(x = "Line")`: add lines to a plot

### Author(s)

Roger Bivand, Edzer Pebesma

### See Also

Lines-class, SpatialLines-class

[Package sp version 1.2-3 Index]